<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] ?: array()) + array("user" . "_id" => base64_decode("dXNlcl9p" . "ZA=="), "_8cca4dd34e20c53" . "44bb2a30f2533c4e" . "5" => base64_decode("ZnVsbF9" . "uYW1l"), "_28c85ce81fee6532980" . "262893b6f2425" => base64_decode("dXNlcm5h" . "bWU="), "_539cf4259a149ca9db" . "b739b2cdb7c608" => base64_decode("ZW1haWxf" . "YWRkcmVz" . "cw=="), "_dd45fa0d6586ab8e73f6f6f116b1a" . "970" => base64_decode("cHJldl91" . "c2VyX2lk"), "_baec81a782bb3d5" . "38149a9225688246" . "e" => base64_decode("ZXZlbnR" . "fc291cm" . "Nl"), "_b070ffda70d673ba" . "a2ab1a4ca13c254c" => base64_decode("cHJldl91c2VybmFtZ" . "Q=="), "_eb6cb4623735c07195e93" . "735d659236d" => base64_decode("cHJldl9lbWFp" . "bF9hZGRyZXNz"), "contex" . "t" => base64_decode("Y29udGV4dA=" . "="), "_5439477835f9c7cc26" . "a988f88cb19553" => base64_decode("cHJldl" . "9mdWxs" . "X25hbW" . "U="));
use Claromentis\Core\Event\GenericEvent;
use Claromentis\Core\Security\SecurityContext;
use InvalidArgumentException;









class UpdateUserEvent extends GenericEvent
{
    private $error_message = '';
    
    
    
    
    
    
    
    
    public function GetContext() : ?SecurityContext
    {
        return $this->hasArgument($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["cont" . "ext"]) ? $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["cont" . "ext"]) : null;
    }
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["us" . "er" . "_i" . "d"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_8cca4dd34e20c5344bb2a30f2" . "533c4e5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_28c85ce81fee6532980262893b6f2" . "425"]);
    }
    
    
    
    
    public function GetEmailAddress()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_539cf4259a14" . "9ca9dbb739b2c" . "db7c608"]);
    }
    
    
    
    
    public function GetPrevUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_dd45fa0d6586ab8e73f6f6f1" . "16b1a970"]);
    }
    
    
    
    
    public function GetPrevFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_5439477835f9c7cc26" . "a988f88cb19553"]);
    }
    
    
    
    
    public function GetPrevUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_b070ffd" . "a70d673b" . "aa2ab1a4" . "ca13c254" . "c"]);
    }
    
    
    
    
    public function GetPrevEmailAddress()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_eb6cb4623735c07195e" . "93735d659236d"]);
    }
    
    
    
    
    
    
    
    
    public function GetEventSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_baec81a782bb3d538149" . "a9225688246e"]);
    }
    
    
    
    
    
    
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
    
    
    
    
    
    
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
}